﻿Imports System.Data

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not IsPostBack Then
            Dim dt As New DataTable()
            dt.Columns.AddRange(New DataColumn(2) {New DataColumn("Item"), New DataColumn("Quantity"), New DataColumn("Price")})
            dt.Rows.Add("Shirt", 145, 500)
            dt.Rows.Add("Jeans", 0, 2000)
            dt.Rows.Add("Trousers", 190, 1545)
            dt.Rows.Add("Tie", 30, 200)
            dt.Rows.Add("Cap", 0, 300)
            dt.Rows.Add("Hat", 90, 350)
            dt.Rows.Add("Scarf", 290, 140)
            dt.Rows.Add("Belt", 150, 400)
            ViewState("dt") = dt
            BindGrid(dt, False)
        End If
    End Sub

    Private Sub BindGrid(dt As DataTable, rotate As Boolean)
        GridView1.ShowHeader = Not rotate
        GridView1.DataSource = dt
        GridView1.DataBind()
        If rotate Then
            For Each row As GridViewRow In GridView1.Rows
                row.Cells(0).CssClass = "header"
            Next
        End If
    End Sub
    Protected Sub Convert(sender As Object, e As EventArgs)
        Dim dt As DataTable = DirectCast(ViewState("dt"), DataTable)
        If TryCast(sender, Button).CommandArgument = "1" Then
            btnConvert1.Visible = False
            btnConvert2.Visible = True
            Dim dt2 As New DataTable()
            For i As Integer = 0 To dt.Rows.Count
                dt2.Columns.Add()
            Next
            For i As Integer = 0 To dt.Columns.Count - 1
                dt2.Rows.Add()
                dt2.Rows(i)(0) = dt.Columns(i).ColumnName
            Next
            For i As Integer = 0 To dt.Columns.Count - 1
                For j As Integer = 0 To dt.Rows.Count - 1
                    dt2.Rows(i)(j + 1) = dt.Rows(j)(i)
                Next
            Next
            BindGrid(dt2, True)
        Else
            btnConvert1.Visible = True
            btnConvert2.Visible = False
            BindGrid(dt, False)
        End If
    End Sub
End Class
